summaryrefslogtreecommitdiff
path: root/tests/run-arextract.sh
diff options
context:
space:
mode:
authorKim Kibum <kb0929.kim@samsung.com>2012-05-21 17:41:56 +0900
committerKim Kibum <kb0929.kim@samsung.com>2012-05-21 17:41:56 +0900
commita976579f1c63224c75f12832f4466996b9b9f901 (patch)
tree301978d3724e6aa9c28e30739e60ac984055230d /tests/run-arextract.sh
parent2924cc08916c97ace431cd8936a3525d42dbcaa8 (diff)
downloadelfutils-a976579f1c63224c75f12832f4466996b9b9f901.tar.gz
elfutils-a976579f1c63224c75f12832f4466996b9b9f901.tar.bz2
elfutils-a976579f1c63224c75f12832f4466996b9b9f901.zip
Upload Tizen:Base source
Diffstat (limited to 'tests/run-arextract.sh')
-rwxr-xr-xtests/run-arextract.sh48
1 files changed, 48 insertions, 0 deletions
diff --git a/tests/run-arextract.sh b/tests/run-arextract.sh
new file mode 100755
index 0000000..29119a1
--- /dev/null
+++ b/tests/run-arextract.sh
@@ -0,0 +1,48 @@
+#! /bin/sh
+# Copyright (C) 1999, 2000, 2002, 2005, 2006 Red Hat, Inc.
+# This file is part of Red Hat elfutils.
+# Written by Ulrich Drepper <drepper@redhat.com>, 1999.
+#
+# Red Hat elfutils is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by the
+# Free Software Foundation; version 2 of the License.
+#
+# Red Hat elfutils is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with Red Hat elfutils; if not, write to the Free Software Foundation,
+# Inc., 51 Franklin Street, Fifth Floor, Boston MA 02110-1301 USA.
+#
+# Red Hat elfutils is an included package of the Open Invention Network.
+# An included package of the Open Invention Network is a package for which
+# Open Invention Network licensees cross-license their patents. No patent
+# license is granted, either expressly or impliedly, by designation as an
+# included package. Should you wish to participate in the Open Invention
+# Network licensing program, please visit www.openinventionnetwork.com
+# <http://www.openinventionnetwork.com>.
+
+. $srcdir/test-subr.sh
+
+tempfiles arextract.test
+
+archive=../libelf/libelf.a
+if test -f $archive; then
+ # The file is really available (i.e., no shared-only built).
+ echo -n "Extracting symbols... $ac_c"
+
+ # The files we are looking at.
+ for f in ../libelf/*.o; do
+ testrun ./arextract $archive `basename $f` arextract.test || exit 1
+ cmp $f arextract.test || {
+ echo "Extraction of $1 failed"
+ exit 1
+ }
+ done
+
+ echo "done"
+fi
+
+exit 0